Уголок новичка
   337

Проблема с несвободными драйверами nvidia

Ситуация такая:
ноут с видео nvidia go 7400, ядро 4.14
Захожу в настройки оборудования — там только одна кнопка «авто установка свободных драйверов», кнопки с несвободными даже нету. При этом у свободных драйверо галочки стоят (video-linux, video-vesa), и никаких пунктов с nvidia вообще нет. и галочка стоит у video-linux как у несвободного драйвера хотя
через mhwd вижу что есть два устройства (video-linux, video-vesa) но у установленых конфигов поле freedriver равно истина. установка mhwd -a pci nonfree 0300 ничего другого не ставит.

пара вопросов:
1) почему нет кнопки для установки не свободных драйверов
2) почему видео определяется как nvidia а конфиг к ней video-linux

PS: с чего все началось — на ютубе в браузере не показывает видео в разрешении фулхд, хотя гружусь с ливсд 4м и он видео в фулхд (тоже самое) показывает, предположил что проблема с драйверами.

19 комментариев

avatar
почему нет кнопки для установки не свободных драйверов
Потому что поддержка этой видеокарты была прекращена производителем после nvidia-304. У Вас на выбор остаются нуво либо веса.
Последний раз редактировалось
0
avatar
так нету никакой нуво, есть video-linux, video-vesa.
с другой стороны пусть прекращена но почему нет тогда nvidia-304
0
avatar
Насколько я вижу, 304хх драйвера существуют только для ядра 418rt
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
И это странно (в смысле, что вообще существуют). Впрочем, там все равно поломаны зависимости.
Последний раз редактировалось
0
avatar
так нету никакой нуво, есть video-linux
Его и выбирайте. Свободный драйвер для nvidia называется nouveau.
Вот что по этому поводу говорит mhwd-db:
NAME="video-linux"
INFO="Standard open source drivers."

VESA же реализует фактически универсальный единый минимальный стандарт.
с другой стороны пусть прекращена но почему нет тогда nvidia-304
Тыц. Не стесняйтесь гуглить.
Последний раз редактировалось
0
avatar
Да, про то что поддержка прекращена, я тупанул малек, я думал драйвер не обновляют, потом уже допер что ядро не поддерживает.
получается что проприоритрный драйвер не поставлю, а куда тогда кнопка делась из окна настроек? и почему стоит галочка что этот драйвер не свободный?
0
avatar
а куда тогда кнопка делась из окна настроек?
Туда же, куда и, к примеру, интела (у него, правда, ее и не было отродясь). Нет драйвера — нет кнопочки.
и почему стоит галочка что этот драйвер не свободный?
ЯННП. Если драйвера нет, то где стоит галочка?
Последний раз редактировалось
0
avatar
2 столбца «свободные» и " установлено", вот свободные галочка раньше ставилась если я свободные дрова ставил, а установлено если не свободные.
сейчас у video-linux стоят обе галочки у веса только свободные
0
avatar
Все верно.
Галка «свободные» информирует о лицензии драйвера.
Галка «установлено» ставится у используемого драйвера.
Сейчас у вас должно стоять nouveau. Проверить это можно так:
lspci -k | grep -EA3 'VGA|3D|Display'
Последний раз редактировалось
0
avatar
lspci:
01:00.0 VGA compatible controller: NVIDIA Corporation G72M [GeForce Go 7400] (rev a1)
Subsystem: Sony Corporation G72M [GeForce Go 7400]
Kernel driver in use: nouveau
Kernel modules: nouveau
0
avatar
Нуво работает? Ну и отлично. В 2D оно может уже кучу лет как. Современное 3D вряд ли взлетит.
С проприетарным драйвером, соответственно, не заморачивайтесь.
0
avatar
так то работает, но просто возник вопрос почему на ютубе фул хд не работает. просто картинка пару сек показыается и зависает, далее только звук. Это был второй вопрос, первый был почему вообще видео и на меньшем разрешении вдруг блоками покрывается, дергается, подвисает. Его я решил, пока решал возник по фулхд, раз не тянет значит дрова глянул дрова, а там облом, с этого все и началось. при этом на днях краткий обзор 4м линукса прочитал, заодно решил и на нем проверить так вот на нем фулхд работало — значит видео может, и значит все опять в дрова уперлось. (кстати если не ошибаюсь даже 4к показывал, но тут уже инета не хавтило, ютуб ушел в загрузку/кеширование)
Последний раз редактировалось
0
avatar
Прикрутите к браузеру внешний плеер.
Вот тут есть ссылка на удобный плагин.
Тут соответствующий кусок конфига для luakit.
Последний раз редактировалось
0
avatar
спасибо
0
avatar
На всякий случай пока тут спрошу:
ноут тот же ядро то же, ставлю ядро 4.19 и все больше не загружается, ставил режим загрузки 3 для ядра (сеть + еще что то, без видео) так же виснет или перезагружается
0
avatar
Сейчас это будет вангованием. Пробуйте перейти в tty, выбрать другое ядро, загрузиться в fallback, в крайнем случае с лайва и смотрите в логах что не так.
Появилась подобная тема.
Последний раз редактировалось
0
avatar
старое 4.14 работает в него грузиться, если 4.19 выбрать то проблема
0
avatar
Значит что-то в нем сломали. Пока посидите на другой ветке, а после обновления ведра можно будет попробовать опять им пользоваться.
Хотя, конечно, подобное плохо для lts-версии.
0
avatar
как мне думается что плохо, что пока не попробуешь о косяке не узнаешь. и все же вроде как операционка для десктопа и на тебе перестает работать это плохо. не все готовы лазить по инетам в поисках решений. я сам поставил линукс только из за того что хп совсем плох стал, а 7 половину драйверов не могла поставить, в линукс вроде как до сих пор дрова под древнее оборудование работают (старый принтер и сканер, на 7 они уже работают) ну и в игры не играть так что вроде выбор был не плох, но вот косяки лезут.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.